Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util
Class Loader

    java.lang.Object
      org.mortbay.util.Loader

    public class Loader

extends java.lang.Object

ClassLoader Helper. This helper class allows classes to be loaded either from the Thread's ContextClassLoader, the classloader of the derived class or the system ClassLoader. Usage:

     public class MyClass {
         void myMethod() {
              ...
              Class c=Loader.loadClass(this.getClass(),classname);
              ...
         }

Author:
  Greg Wilkins (gregw)

Constructor Summary
`Loader()`

Method Summary
`static java.net.URL` | `getResource(java.lang.Class loadClass, java.lang.String name, boolean checkParents)`
`static java.util.ResourceBundle` | `getResourceBundle(java.lang.Class loadClass, java.lang.String name, boolean checkParents, java.util.Locale locale)`
`static java.lang.Class` | `loadClass(java.lang.Class loadClass, java.lang.String name)`
`static java.lang.Class` | `loadClass(java.lang.Class loadClass, java.lang.String name, boolean checkParents)` Load a class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Loader

    public Loader()

Method Detail

### getResource

    public static java.net.URL getResource(java.lang.Class loadClass,
                                           java.lang.String name,
                                           boolean checkParents)
                                    throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### loadClass

    public static java.lang.Class loadClass(java.lang.Class loadClass,
                                            java.lang.String name)
                                     throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### loadClass

    public static java.lang.Class loadClass(java.lang.Class loadClass,
                                            java.lang.String name,
                                            boolean checkParents)
                                     throws java.lang.ClassNotFoundException

  Load a class.

  Parameters:
    `loadClass` -
    `name` -
    `checkParents` - If true, try loading directly from parent classloaders.
  Returns:
    Class
  Throws:
    `java.lang.ClassNotFoundException`

### getResourceBundle

    public static java.util.ResourceBundle getResourceBundle(java.lang.Class loadClass,
                                                             java.lang.String name,
                                                             boolean checkParents,
                                                             java.util.Locale locale)
                                                      throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.